| Classes | Functions | DevRef | Qt API | Qtopia Documentation |

# DocLnkSet Class Reference

The DocLnkSet class is a set of DocLnk objects. More...

`#include <applnk.h>`

Inherits AppLnkSet.

List of all member functions.

## Public Members

- DocLnkSet ()
- DocLnkSet ( const QString & directory, const QString & mimefilter = QString::null )
- const QList<DocLnk> & children () const
- void appendFrom ( DocLnkSet & other )

## Detailed Description

The DocLnkSet class is a set of DocLnk objects.

## Member Function Documentation

### DocLnkSet::DocLnkSet ()

Constructs an empty DocLnkSet.

See also appendFrom().

### DocLnkSet::DocLnkSet ( const QString & directory, const QString & mimefilter = QString::null )

Constructs a DocLnkSet that contains DocLnk objects representing all the files in the directory (and any subdirectories, recursively).

If mimefilter is not null, only documents with a MIME type matching mimefilter are selected. The value may contain multiple wild-card patterns separated by ";", such as `*o/mpeg;audio/x-wav`.

See also Files and Links.

### void DocLnkSet::appendFrom ( DocLnkSet & other )

Transfers all DocLnk objects from other to this set. other becomes empty.

### const QList<DocLnk> & DocLnkSet::children () const

Returns the members of the set.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.